# widget_timeslider.cpp File Reference

Time Slider Widget Implementation File. More...

`#include "widget_timeslider.h"`
`#include <ETL/misc>`
`#include <cmath>`
`#include "general.h"`

## Functions

Gdk::Color | get_interp_color (synfig::Interpolation x)
static Gdk::Color | color_darken (Gdk::Color x, float amount)
void | studio::render_time_point_to_window (const Glib::RefPtr< Gdk::Drawable > &window, const Gdk::Rectangle &area, const synfig::TimePoint &tp, bool selected)

## Variables

const double | zoominfactor = 0.75
const double | zoomoutfactor = 1/zoominfactor
double | defaultfps = 24
const int | fullheight = 20

## Detailed Description

Time Slider Widget Implementation File.

$Id$

## Function Documentation

Gdk::Color get_interp_color | ( | synfig::Interpolation | x | ) |

Referenced by studio::render_time_point_to_window().

static Gdk::Color color_darken | ( | Gdk::Color | x,
|  | float | amount |
| ) |  |  | `[static]`

Referenced by studio::render_time_point_to_window().

## Variable Documentation

const double zoominfactor = 0.75

Referenced by studio::Widget_Timeslider::zoom_in().

const double zoomoutfactor = 1/zoominfactor

Referenced by studio::Widget_Timeslider::zoom_out().

double defaultfps = 24

const int fullheight = 20

Referenced by studio::Widget_Timeslider::redraw(), and studio::Widget_Timeslider::Widget_Timeslider().